@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}
.TitleRow {
    color: orangered;
    font-weight: bold;
    font-size: 16pt;
    padding-top: 4px;
    padding-bottom: 4px;
    vertical-align: middle;
}
.btn-primary {
    color: #fff;
    background-color: orangered;
    border-color: orangered;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

.main .top-row a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}

.sidebar {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}


a .nav-link > .active{
background-color:orangered !important;
}

.input-group-text{
    background-color:cornsilk !important;
}

.input-group > .input-group-prepend {
    flex: 0 0 14em;
}

.input-group .input-group-text {
    width: 100%;
}

.fake-link {
    color: blue !important;
    text-decoration: underline !important;
    cursor: pointer !important;
}

.RequiredFieldMarker {
    color: Red;
    font-size: 12pt;
    padding-left: 2px;
}
.Green-Legend {
    font-weight: bold;
    background-color: lightgreen;
}

.Yellow-Legend {
    font-weight: bold;
    background-color: #FCF4A3;
}
.Red-Legend {
    font-weight: bold;
    /*color: white !important;*/
    background-color: #ff9999;
    /*background-color: tomato;*/
}

.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 55%;
    position: absolute;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}



a.ui-button:hover {
    color: #fff;
    text-decoration: none;
}

/*
Visual Studio-like style based on original C# coloring by Jason Diamond <jason@diamond.name>
*/
.hljs {
    display: block;
    overflow-x: auto;
    background: white;
    color: black;
}

.hljs-comment,
.hljs-quote,
.hljs-variable {
    color: #008000;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-built_in,
.hljs-name,
.hljs-tag {
    color: #00f;
}

.hljs-string,
.hljs-title,
.hljs-section,
.hljs-attribute,
.hljs-literal,
.hljs-template-tag,
.hljs-template-variable,
.hljs-type,
.hljs-addition {
    color: #a31515;
}

.hljs-deletion,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-meta {
    color: #2b91af;
}

.hljs-doctag {
    color: #808080;
}

.hljs-attr {
    color: #f00;
}

.hljs-symbol,
.hljs-bullet,
.hljs-link {
    color: #00b0e8;
}


.hljs-emphasis {
    font-style: italic;
}

.hljs-strong {
    font-weight: bold;
}

.documentation-link {
    text-decoration: none !important;
    padding: 6px 0;
    display: flex;
    align-items: center;
    position: relative;
    float: right;
    margin-left: -100%;
}

.social-link {
    margin-right: 8px;
    text-decoration: none;
}

.console {
    height: 400px;
    background: #fff;
    margin: 16px 0;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    padding: 0 0 16px 0;
    color: #000;
}

.console-content {
    flex: 1;
    overflow: auto;
    background-color: #ccc;
}

.console-header {
    display: flex;
    border-bottom: 1px solid #ccc;
    padding: 8px 0;
}

.console-title {
    flex: 1;
    text-align: center;
    font-size: 24px;
}

.console-clear {
    appearance: none;
    border: none;
    background: transparent;
    color: #000;
    padding: 0 16px 0 0;
}

.console-message {
    margin: 8px;
    padding: 4px 0;
    display: flex;
    align-items: baseline;
    background: #fff;
    border-radius: 4px;
}

.console-message-time {
    font-size: 12px;
    padding: 2px 4px;
}


td.grey-text span.rz-cell-data {
    color: lightgray !important;
}

.grey-text{
    color: lightgray !important;
}